#include "window.h"
#include <GLFW/glfw3.h>

Window::Window(int width, int height, std::string title){
	this->width = width;
	this->height = height;
	this->title = title;
	this->window = glfwCreateWindow(width, height, title.c_str(), NULL, NULL);
	makeContextCurrent();
}

Window::~Window(){
	glfwDestroyWindow(window);
}

void Window::makeContextCurrent(){
	glfwMakeContextCurrent(window);
}

void Window::updateWindow(){
	glfwSwapBuffers(window);
	glfwPollEvents();
}

bool Window::closing(){
	return glfwWindowShouldClose(window);
}

bool Window::mouseDown(int button){
	return glfwGetMouseButton(window, button);
}
